% ==============================================
%
% rhs_SinglePulse
%
% CBP 10-10-18 
% Status Release
%
% ===============================================

function dudt=rhs_SinglePulse(t,u)

% declare the shared global variables 
global tau1 pulseStart pulseEnd pulseHeight I

% create local variable for the dudt's
dudt = zeros(1,1);

% Now the pulse
I = pulse(pulseStart,pulseEnd,pulseHeight,t);

% write the differential equation to be solved
dudt(1) = ( -u(1) + I)/tau1;

endfunction

% Function to be used in the rhs if needed


