% ==============================================
%
% rhs_TwoPulseAdd
%
% CBP 10-10-18 
% Status Release
%
% ===============================================

function dudt=rhs_TwoPulseAdd(t,u)

% declare the shared global variables 
global tau1 pulseStart1 pulseEnd1 pulseHeight1 pulseStart2 pulseEnd2 pulseHeight2

% create local variable for the dudt's
dudt = zeros(1,1);

% Now the pulse
I1 = pulse(pulseStart1,pulseEnd1,pulseHeight1,t);
I2 = pulse(pulseStart2,pulseEnd2,pulseHeight2,t);

% write the differential equation to be solved
dudt(1) = ( -u(1) + I1 + I2)/tau1;

endfunction

% Function to be used in the rhs if needed


