% =====================================================
%
% rhs_Hopf
% CBP 27-12-21
%
% =====================================================

function dudt=rhs_Hopf(t,u)
  
global alpha mu omega

dudt = zeros(2,1);

r2 = u(1)*u(1) + u(2)*u(2);
dudt(1) = alpha*(mu - r2)*u(1) - omega*u(2);
dudt(2) = omega*u(1) + alpha*(mu - r2)*u(2);

endfunction
