% =====================================================
%
% rhs_Phase_Lag1.m
% CBP 27-12-21
% Single phase lag neuron
%
% =====================================================

function dudt=rhs_Phase_Lag_1(t,u)
  
global tau period k

dudt = zeros(1,1);
I = sin(2*pi*t/period);
dudt(1) = ( -u(1) + k*I)/tau;

endfunction